import 'dart:convert';

import 'package:flutter_test/flutter_test.dart';
import 'package:request_api_helper/request.dart' as req;
import 'package:request_api_helper/request_api_helper.dart';

void main() {
  test('adds one to input values', () async {
    final body = json.encode({
      'username': 'FDhunter',
      'password': '123456',
    });
    await req.send(
      customData: CustomRequestData(
        url: 'https://apidev.silvervtr.co.id/api/login',
        rawJson: body,
        header: {
          'content-type': 'application/json',
        },
      ),
      data: RequestData(
        rawJson: body,
      ),
      type: RESTAPI.post,
      changeConfig: RequestApiHelperConfigData(
        logResponse: true,
        onError: (code, data) {
          print(data);
        },
        onSuccess: (data) {},
        exception: true,
        onException: (string) {
          print(string);
        },
      ),
    );
  });
  // print('a');
}
